import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ScrollViewWithIndicatorComponent implements AfterViewInit, OnDestroy {
    contentWrapper: ElementRef<HTMLDivElement>;
    indicatorButton: TemplateRef<unknown> | null;
    scrollState: EventEmitter<number>;
    readonly isOverflowing: import("@angular/core").WritableSignal<boolean>;
    readonly isAtBottom: import("@angular/core").WritableSignal<boolean>;
    private readonly cdr;
    private resizeObserver;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    /**
     * Manually scrolls the content-container to the bottom
     */
    scrollToBottom(): void;
    /**
     * If the user scrolled all the way to the end of the container,
     * the indicator button can be hidden
     */
    onScroll(): void;
    private updateOverflowState;
    private updateScrollState;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollViewWithIndicatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ScrollViewWithIndicatorComponent, "ng-scroll-view-with-indicator", never, { "indicatorButton": { "alias": "indicatorButton"; "required": true; }; }, { "scrollState": "scrollState"; }, never, ["*"], true, never>;
}
